=begin
Copyright 2004-2005 by Rick Wilson [in parts], and 2012-2016 (c) TIG.

Permission to use, copy, modify, and distribute this software for 
any purpose and without fee is hereby granted, provided that the above
copyright notice appear in all copies.
THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
#
TIG-weld.rb
#
=end
###
require('sketchup.rb')
require('extensions.rb')
###
module TIG
	module Weld
		if defined?(Encoding)
			ME = __FILE__.force_encoding("UTF-8") ### >= v2014 lashup
		else
			ME = __FILE__
		end
		PLUGINS = File.dirname(ME)
		FULLNAME = File.basename(__FILE__, ".*")
		NAME = "TIG-weld" ### Short Name
		FOLDER = File.join(PLUGINS, FULLNAME)
		CODE = File.join(FOLDER, "#{FULLNAME}_code")
		DESC = "#{NAME} - Joins selected edges into a 'curve'."
		VERSION = "2.0"
		CREATOR = "TIG"
		COPYRIGHT = "#{CREATOR} © #{Time.now.year}"
		EXT = SketchupExtension.new(NAME, CODE)
		EXT.name = NAME
		EXT.description = DESC
		EXT.version = VERSION
		EXT.creator = CREATOR
		EXT.copyright = COPYRIGHT
		Sketchup.register_extension(EXT, true) # Show on 1st install
	end
end#module
